Subject: Re: [PATCH net-next 1/2] net: phy: don't stop state machine in case of MDIO error

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 Dec 2018 09:42:51 +0100

On Sat, Dec 15, 2018 at 05:18:33PM +0100, Heiner Kallweit wrote:
> If we detect a MDIO error, it seems to be a little bit too aggressive
> to stop the state machine and bring down the PHY completely.

Hi Heiner

My assumption is, if we get one MDIO error, we will gets lots more
MDIO errors. This should be the sort of bus which either works, or it
does not. In that situation, i think it does make sense to stop
everything.

I would like to know more about the FEC. Unfortunately, the commit
adding the timeout handling code does not explain why it is needed.
We might need to dig further backwards in time to figure it out.

   Andrew